com.ihr.xbrl.pojo.user

## Class FriendlyCompanyName

- java.lang.Object
- - com.ihr.xbrl.pojo.user.FriendlyCompanyName

-     public class FriendlyCompanyName
      extends java.lang.Object

  Provides a friendly name for an XBRLEntity object The XBRL 2.1 entity object contains two elements: Scheme and Identifier. Very often, real projects hide the company name using codes like the fiscal ID for the company in the Identifier and the URI of the tax authority in the scheme. This is good for receivers that wanted to know exactly the company that is submitting the report but it is not that good for users who likes to use the stock ticker or any other name the company has. This class provides the functionality to store in the database a friendly name that corresponds to a company name identified by the XBRL elements scheme and identifier. The maintenance of this class has to be done outside the XBRL 2.1 storage mechanism.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FriendlyCompanyName()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFriendlyName()` Gets the friendly name.
    `java.lang.Long` | `getId()` Gets the id.
    `java.lang.String` | `getIdentifier()` Gets the identifier.
    `java.lang.String` | `getScheme()` Gets the scheme.
    `void` | `setFriendlyName(java.lang.String friendlyName)` Sets the friendly name.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setIdentifier(java.lang.String identifier)` Sets the identifier.
    `void` | `setScheme(java.lang.String scheme)` Sets the scheme.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FriendlyCompanyName

          public FriendlyCompanyName()

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Parameters:
        `id` - the id to set

    - #### getFriendlyName

          public java.lang.String getFriendlyName()

      Gets the friendly name.
      Returns:
        the friendlyName

    - #### setFriendlyName

          public void setFriendlyName(java.lang.String friendlyName)

      Sets the friendly name.
      Parameters:
        `friendlyName` - the friendlyName to set

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Gets the identifier.
      Returns:
        the identifier

    - #### setIdentifier

          public void setIdentifier(java.lang.String identifier)

      Sets the identifier.
      Parameters:
        `identifier` - the identifier to set

    - #### getScheme

          public java.lang.String getScheme()

      Gets the scheme.
      Returns:
        the scheme

    - #### setScheme

          public void setScheme(java.lang.String scheme)

      Sets the scheme.
      Parameters:
        `scheme` - the scheme to set